Bug 1411836 (CVE-2017-5337) - CVE-2017-5337 gnutls: Heap read overflow in read-packet.c
Summary: CVE-2017-5337 gnutls: Heap read overflow in read-packet.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5337
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411838 1411845 1413836 1413874
Blocks: 1386080 1411837 1415638
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:28 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
7 users (show)

Fixed In Version: gnutls 3.3.26, gnutls 3.5.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-13 06:46:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0574 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-03-21 12:23:04 UTC
Red Hat Product Errata RHSA-2017:2292 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC

Description Andrej Nemec 2017-01-10 15:28:33 UTC
A vulnerability was found in gnutls. A heap read overflow could occur while parsing maliciously crafted OpenPGP certificate.

References:

http://seclists.org/oss-sec/2017/q1/51
https://gnutls.org/security.html#GNUTLS-SA-2017-2

Upstream patch:

https://gitlab.com/gnutls/gnutls/commit/94fcf1645ea17223237aaf8d19132e004afddc1a

Comment 1 Andrej Nemec 2017-01-10 15:31:31 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1411838]

Comment 2 Nikos Mavrogiannopoulos 2017-01-10 15:39:52 UTC
This was addressed in F25 with https://bodhi.fedoraproject.org/updates/FEDORA-2017-88f1664dd4

Comment 3 Andrej Nemec 2017-01-10 15:42:27 UTC
Created gnutls30 tracking bugs for this issue:

Affects: epel-6 [bug 1411845]

Comment 7 Nikos Mavrogiannopoulos 2017-01-17 12:15:45 UTC
Reproducer at:
https://gitlab.com/gnutls/gnutls/commit/d949c6266ce64f5c2419f8c7cf4a196122fff9d7

Comment 10 errata-xmlrpc 2017-03-21 09:04:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0574 https://rhn.redhat.com/errata/RHSA-2017-0574.html

Comment 11 errata-xmlrpc 2017-08-01 08:49:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2292 https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.